PIRL.Messenger

## Class Message_Delivered_Event

- java.lang.Object
- - java.util.EventObject
  - - PIRL.Messenger.Message_Delivered_Event

All Implemented Interfaces:
  Serializable

    public class Message_Delivered_Event
    extends EventObject

A Message_Delivered_Event is used to notify a Messenger employer that a message was delivered needing attention.

See Also:
  `Message`, `Messenger`, Serialized Form

### Field Summary

Fields
`Message` `Message`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`Message_Delivered_Event(Messenger messenger, Message message)` Constructs a Message_Delivered_Event.

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Message

    public Message Message

### Constructor Detail

#### Message_Delivered_Event

    public Message_Delivered_Event(Messenger messenger,
                           Message message)

Constructs a Message_Delivered_Event.

Parameters:
  `messenger` - The Messenger that is delivering the message.
  `message` - The Message being delivered.